#!/usr/bin/env node

var coz = require('coz'),
    async = require('async'),
    buds = require('apeman-tmpl-contrib-official/lib/commons');

var pkg = require('../package.json');

process.chdir(__dirname + '/..');

async.series([
    function (callback) {
        coz.render([
            'lib/**/.*.bud',
            'test/**/.*.bud'
        ], callback);
    },
    function (callback) {
        buds.render({
            pkg: pkg,
            modules: [
                {name: "runTasks"}
            ],
            usages: [
                {
                    title: 'Run tasks',
                    description: "Run async tasks.",
                    example: 'docs/examples/run-tasks-example.js'
                }
            ],
            see: {
                'ape-tasking': 'https://github.com/ape-repo/ape-tasking'
            }
        }, callback);
    }
], function (err) {
    if (err) {
        console.error(err);
    }
});
